Subject: Re: Linux 2.6.x on 8xx status

From: Marcelo Tosatti <[email-masked]>
Date: Thu, 10 Feb 2005 15:06:58 -0200

On Thu, Feb 10, 2005 at 02:26:52PM -0500, Dan Malek wrote:
> 
> On Feb 10, 2005, at 10:04 AM, Marcelo Tosatti wrote:
> 
> >Does anyone have a clue of what is/can be wrong with the TLB entry for 
> >the
> >address being flushed at __flush_dcache_icache()?
> 
> Not sure.  The problem is that the __flush_dcache_icache is passed a
> user space virtual address that doesn't look like it is mapped for 
> writing
> or something.  I don't know, as an ooops isn't sufficient to debug the 
> problem.
> You have to catch it here and track down the current state of the TLB 
> and
> the page tables.  Of course, when I do this everything looks OK, 

How do you do track down the current TLB state? With a BDI? 

> so what I've been trying to do is catch the TLBmiss reload that actually causes 
> this
> to happen to see what it really tried to load into the tlb.

Shouldnt it be loading the TLB entry which "seem to be OK" accordingly to your
analysis ?? 

> A much more
> challenging project :-)  I'll get it one of these days .....

I see... thanks for your help. 

BTW, we are seeing very bad slowdown on v2.4 compared to v2.6 on m8xx. 

Its likely to be cache related - I'm preparing a detailed email about it.